#!/usr/bin/env node
'use strict';
const meow = require('meow');
const updateNotifier = require('update-notifier');
const np = require('./');

const cli = meow(`
	Usage
	  $ ludo-np
`);

updateNotifier({pkg: cli.pkg}).notify();

np(cli.input[0], cli.flags)
	.then(pkg => {
		console.log(`\n ${pkg.name} ${pkg.version} published`);
	})
	.catch(err => {
		console.error(`\n${err.message}`);
		process.exit(1);
	});
