> An improved version of "A better `npm publish`", *with sensible default configurations*

inspired by, and based on [np](np) by [Sindre Sorhus](https://sindresorhus.com)

At NRK we use this package to publish several ludo/player related modules.

## Why

Could be run **without** any arguments and still let you
- Follow [semver](https://github.com/npm/node-semver) patterns to increment patch, prepatch and prerelease
- Publish patch release from master branch
- Publish prerelease from branches other than master

Plus all the added benefits of [np](np)
- clean set of node_modules
- run tests
- git tagged releases

## Install

```sh
$ npm install nrk-ludo-np --save-dev
```

## Usage

```json
"scripts": {
  "my-publish": "nrk-ludo-np"
}
```

## Version incrementation patterns

### 1.2.3 on **master** => 1.2.4

If run on the **master** branch, `nrk-ludo-np` increments the package version using **patch**

### 1.2.3 on **branch** => 1.2.4-branch.0

If run first time on branch **branch**, `nrk-ludo-np` increments the package version using **prepatch** and uses **branch** as the prepatch id

### 1.2.4-branch.0 on **branch** => 1.2.4-branch.1

If run again on branch **branch**, `nrk-ludo-np` increments the package version using **prerelease**

## Tips

### npm and tags

Publishing package **foo** from branch **bar**, makes that published package available using
```
npm install foo@bar
```

## License

`nrk-ludo-np` is released under [MIT License](LICENSE)

[np]: https://github.com/sindresorhus/np
